Subject: Fw: A Dog's Life

From: "lindafowens" <[email-masked]>
Date: Fri, 14 Feb 2003 08:42:10 -0500

Hope you don't mind, but I thought I would pass on contest results  (among family and friends) about animal cliches.  My husband says they are overbearing.  Oh, and Penny is our lab/golden mix.  linda
----- Original Message ----- 
From: lindafowens 
To: lindafowens 
Sent: Wednesday, February 12, 2003 9:34 AM
Subject: A Dog's Life

A DOG'S LIFE by Penny

Doggone, I was sick as a dog, and dog-tired as well, in my dog-eat-dog world, when I landed in the Snake Pit.  I wanted to eat like a hog, but I got to sweat like a pig.  I tried to be cool as a moose, but it got my dander up when that sly-as-a-fox boss of mine pussy-footed around with his monkeyshines, then carped when I didn't make a beeline to his den of iniquity.  That proud as a peacock, chicken-hearted worm-boy looked a gift horse in the mouth when he asked if the cat had got my tongue.  Not one to change horses in mid-stream, or clam up, I grabbed the bull by the horns and brayed that he'd bugged me once too often, and that someone like me who soars like an eagle is as scarce as hen's teeth.  "I don't horse around and I'm not a cold fish, bird-brain, so while you are tomcatting around, your snowbunny deserves the lion's share of the profits."  "When pigs fly," nixed my now ex-boss, that snake-in-the-grass, "You're about as graceful as a cow on snowshoes or a bull in a china shop.  You're always monkeying around, hen-pecking, trying to pull the wool over my eyes.  Your goose is cooked. You ought to be hog-tied and horse-whipped. Replacing you would be as easy as shooting fish in a barrel, even in this one-horse town." "What's good for the goose is good for the gander, and I'm not going to be your scapegoat," I yelped at that bug-eyed dog-in-a-manger whom I used to lionize, "Get yourself a pig-in-a-poke. You can't buffalo me; working here pays as much as white-washing rat manure and selling it for rice, and I can tell the sheep from the goats," I screeched like an owl.  "While I've been as busy as a beaver, I don't have bats in my belfry.  An elephant never forgets.  Now I'm wise as an owl.  No bear hugs for you.  I was blind as a bat, when out of puppy love, this teddy bear may have duck-walked into a hornet's nest, but now I'm free as a bird!  I may be a slug-a-bed, have ants in my pants and a bee in my bonnet, but I'm a foxy lady!"  That nitwit jackass swine was always trying to white-ant me, to badger me into being as timid as a mouse.  I'll cook his goose!  No more sticking like a limpet in this game of cat and mouse.  I may be as naked as a jaybird and have butterflies in my stomach, but now that I'm eagle-eyed, I'm as fit as a flea.  I don't live high off the hog. I've squirreled away a little cash; now I'll wolf down some chow and get drunk as a skunk like a duck takes to water.  

            "That's a whale of a tale," said my lion-hearted old cowboy pal Piggy, whom I've known since I was knee-high to a grasshopper. He was catnapping at the ducky Oxbow Café between bulldozing jobs.  "That slimy toad is full of bull, a wolf in sheep's clothing who doesn't deserve to be as happy as a hog on ice.  I'll get his goat but good!  A little bird told me about a goateed cat burglar who'll corner him like a rat and get him off his high horse."  "Don't count your chickens before they hatch; he's slippery as an eel," I cautioned, "a real turkey who might duck out of this bugaboo."  "That's a horse of a different color," barked Piggy, "But I'm as stubborn as a mule.  Hot dog, we'll outfox him, you doe-eyed lamb.  Just don't let the cat out of the bag until he's stuck like a pig." "I'd love to be a fly on the wall," I chirped.  "Horsefeathers!" Piggy squealed, "He's a dirty, low-down, sheepish, flea-bitten, weasely goose," Piggy horse-laughed.  "Then I'll shed crocodile tears, and thanks for being my mother hen."  "Your bark was always worse than your bite, Ducks," Piggy cooed.  To which I replied, "Rats!"

Moral #1: Can a leopard change its spots?

Moral #2: If a chicken had lips, could it whistle?

Moral #3: If only the bluebird of happiness could breed like rabbits.

Moral #4:  Does honey really catch more flies than vinegar?